import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 13:28
 */
export interface LonghuVipPhonePush{
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * NANJING(南京), CHANGZHOU(常州), HEFEI(合肥)
    * @type { string }
    */
    city?: string;
    /**
    * 在速停车支付累计次数
    * @type { number }
    */
    payCount?: number;
    /**
    * 计划推送日期
    * @type { Date }
    */
    planTime?: Date;
    /**
    * 是否已推送  1:是 0:否
    * @type { string }
    */
    isPush?: string;
    /**
    * 实际推送时间
    * @type { Date }
    */
    pushTime?: Date;
    /**
    * 是否推送成功  1:是（成功推送新用户注册会员）0:否（老用户或注册失败）
    * @type { string }
    */
    isSuccess?: string;
}
export class LonghuVipPhonePushMI{ 
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','用户ID');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','手机号');
    }
    static get CITY(): FieldInfo{  
        return new FieldInfo('city','NANJING(南京), CHANGZHOU(常州), HEFEI(合肥)');
    }
    static get PAY_COUNT(): FieldInfo{  
        return new FieldInfo('payCount','在速停车支付累计次数');
    }
    static get PLAN_TIME(): FieldInfo{  
        return new FieldInfo('planTime','计划推送日期');
    }
    static get IS_PUSH(): FieldInfo{  
        return new FieldInfo('isPush','是否已推送  1:是 0:否');
    }
    static get PUSH_TIME(): FieldInfo{  
        return new FieldInfo('pushTime','实际推送时间');
    }
    static get IS_SUCCESS(): FieldInfo{  
        return new FieldInfo('isSuccess','是否推送成功  1:是（成功推送新用户注册会员）0:否（老用户或注册失败）');
    }
}


